Index: external/fastjet/contribs/RecursiveTools/RecursiveSoftDrop.cc
===================================================================
--- external/fastjet/contribs/RecursiveTools/RecursiveSoftDrop.cc	(revision cb80e6f37f80de920a4bfaf7bb8907beb5235e52)
+++ external/fastjet/contribs/RecursiveTools/RecursiveSoftDrop.cc	(revision a3261d73a34e41732f85a0bce7e5c84e1ffcfddf)
@@ -1,3 +1,3 @@
-// $Id: RecursiveSoftDrop.cc 1192 2018-10-30 16:08:36Z gsoyez $
+// $Id: RecursiveSoftDrop.cc 1111 2018-04-04 10:06:11Z gsoyez $
 //
 // Copyright (c) 2017-, Gavin P. Salam, Gregory Soyez, Jesse Thaler,
@@ -148,5 +148,5 @@
   const vector<PseudoJet> &cs_jets = cs->jets();
 
-  // initialise counter to 1 subjet (i.e. the full ca_jet)
+  // initialize counter to 1 subjet (i.e. the full ca_jet)
   int n_tagged = 0;
   int max_njet = ca_jet.constituents().size();
@@ -163,4 +163,5 @@
   
   // create a priority queue containing the subjets and a comparison definition
+  // initialise to the full ca_jet
   priority_queue<internal_recursive_softdrop::RSDHistoryElement*, vector<internal_recursive_softdrop::RSDHistoryElement*>, internal_recursive_softdrop::OrderRSDHistoryElements> active_branches;
   active_branches.push(& (history[0]));
@@ -168,8 +169,12 @@
   PseudoJet parent, piece1, piece2;
   double sym, mu2;
+
+  // which R0 to use
+  //double R0sqr = _R0sqr;
   
   // loop over C/A tree until we reach the appropriate number of subjets
   while ((continue_grooming(n_tagged)) && (active_branches.size())) {
-    // get the element corresponding to the max dR and the associated PJ
+    // get the element corresponding to the max dR
+    // and the associated PJ
     internal_recursive_softdrop::RSDHistoryElement * elm = active_branches.top();
     PseudoJet parent = cs_jets[cs_history[elm->current_in_ca_tree].jetp_index];
@@ -212,5 +217,5 @@
       active_branches.pop();
       // tagging failed and the softest branch should be dropped
-      // keep track of what has been groomed away
+      // keep track of what has een groomed away
       max_njet -= piece2.constituents().size();
       elm->dropped_delta_R .push_back((elm->theta_squared >= 0) ? sqrt(elm->theta_squared) : -sqrt(elm->theta_squared));
@@ -218,5 +223,5 @@
       elm->dropped_mu      .push_back((mu2>=0) ? sqrt(mu2) : -sqrt(mu2));
       
-      // keep the hardest branch in the recursion
+      // keep the hardest bhanch in the recursion
       elm->reset(piece1, this);
       active_branches.push(elm);
@@ -251,8 +256,8 @@
     const internal_recursive_softdrop::RSDHistoryElement & elm = history[history_index];
 
-    // two kinds of events: either just a final leave, potentially with grooming
+    // two kinds of events: either just a final leave, poteitially  with grooming
     // or a brandhing (also with potential grooming at the end)
     if (elm.child1_in_history<0){
-      // this is a leaf, i.e. with no further substructure
+      // this is a leaf, i.e. with no further sustructure
       PseudoJet & subjet = mapped_to_history[history_index]
         = cs_jets[cs_history[elm.current_in_ca_tree].jetp_index];
@@ -298,5 +303,5 @@
   const vector<PseudoJet> &cs_jets = cs->jets();
 
-  // initialise counter to 1 subjet (i.e. the full ca_jet)
+  // initialize counter to 1 subjet (i.e. the full ca_jet)
   int n_depth = 0;
   int max_njet = ca_jet.constituents().size();
@@ -314,4 +319,5 @@
   
   // create a priority queue containing the subjets and a comparison definition
+  // initialize counter to 1 subjet (i.e. the full ca_jet)
   list<internal_recursive_softdrop::RSDHistoryElement*> active_branches;
   active_branches.push_back(& (history[0]));
@@ -323,5 +329,6 @@
     list<internal_recursive_softdrop::RSDHistoryElement*>::iterator hist_it=active_branches.begin();
     while (hist_it!=active_branches.end()){
-      // get the element corresponding to the max dR and the associated PJ
+      // get the element corresponding to the max dR
+      // and the associated PJ
       internal_recursive_softdrop::RSDHistoryElement * elm = (*hist_it);
       PseudoJet parent = cs_jets[cs_history[elm->current_in_ca_tree].jetp_index];
